#!/bin/sh
#
# /etc/acpi/battery.sh
#
# This script is triggered by the "battery" configuration file.
# It detects if AC connector plugged in or unplugged and takes
# appropriated actions.
#
# Author: Vadim Popov <v.popov@metrotek.spb.ru>
#

[ -r /sys/class/power_supply/AC0/online ] || exit 1
ac_online=`cat /sys/class/power_supply/AC0/online`

if [ $ac_online -ne 0 ] ; then 
    sv 1 b5-launcher
    exit 0
fi

[ -r /sys/class/power_supply/BAT0/capacity_level ] || exit 1
capacity_level=`cat /sys/class/power_supply/BAT0/capacity_level`

case $capacity_level in
'Normal')
    sv 1 b5-launcher
    ;;
'Low')
    sv 2 b5-launcher
    ;;
'Critical')
    sv quit b5-launcher
    sleep 10
    shutdown -h now
    ;;
esac
