#!/bin/sh

CRC=`which cksum`
NAME=$1
FPGA=""
MCU=""

set -e

show_help()  
{
cat<<EOF
Usage:
$0 <CARD_NAME>
	CARD_NAME - on of e1,da,gbe,vf,e0,otdr
EOF

}


find_by_name_and_ext()
{
  local name=$1
  local ext=$2

  local file=$(ls /lib/firmware |grep $name |grep $ext)

  if [ -z $file ]; then
    exit 1
  fi
  
  echo /lib/firmware/$file
  return 0
}

get_crc()
{
	MCU=`find_by_name_and_ext $NAME bin`
	FPGA=`find_by_name_and_ext $NAME rbf`

	local mcu_crc=`$CRC $MCU|awk '{print $1}'`
	local fpga_crc=`$CRC $MCU|awk '{print $1}'`

	echo "$mcu_crc $fpga_crc"
}

if [ -z $CRC ]; then
  echo "No cksum util found. May be you need to install coretuils"
  exit 1
fi

if [ -z $NAME ]; then
  echo "You must specify card name."

  show_help
  exit 1
fi

get_crc


exit 0
