#!/bin/sh

set -e

PREFIX=/usr/share/zoneinfo
TZFILE=/home/sys/localtime
AREA=$1
CITY=$2

if [ -z $CITY ] || [ -z $AREA ]; then
  echo -e "tzsetup.sh - script for Timezone setup \
           \nUsage: tzsetup.sh AREA CITY\n "
  exit 2;
fi

if [ ! -d $PREFIX/$AREA ]; then
  echo -e "There is no such directory ${PREFIX}/${AREA}. \
  \nThat means AREA (\"${AREA}\" in this case) is wrong or unavialable."
  exit 3;
fi

if [ ! -f $PREFIX/$AREA/$CITY ]; then
  echo -e "There is no such file ${PREFIX}/${AREA}/${CITY}. \
  \nThat means CITY (\"${CITY}\" in this case) is wrong or unavialable."
  exit 4;
fi

if [ ! -h $TZFILE ]; then
  echo -e "Warning: It seams that ${TZFILE} file is a regular file. \
           \nThis script WILL create a symbolic link with this name.\
           \nWe warned you! =)"  
fi

ln -sf $PREFIX/$AREA/$CITY $TZFILE

CHECKLINK=`ls -l ${TZFILE} | awk '{ print $NF }'`

if [ $CHECKLINK != $PREFIX/$AREA/$CITY ]; then
  echo -e "It seams that something went compeletly wrong. \
          \nSymbolic link ${TZFILE} isn't created."
  exit 5;
fi

exit 0;
