#!/bin/sh

. /usr/local/libexec/cards_lib.sh

SLOT=""
SLOTNAME=""
CARDTYPE=$2

case $1 in
  "0"|"left")
    SLOT="0"
    SLOTNAME="левом"
    ;;
  "1"|"right")
    SLOT="1"
    SLOTNAME="правом"
    ;;
   *)
    echo "Usage: $0 <0|left|1|right>"
    exit 0
    ;;
esac

if [ -z $SLOT ];then
  echo "Неверный номер разъема. Допустимые: 0 или 1!"
  exit 1
fi

get_board_rev

get_card_state ${SLOT}
if [ x"$CARD_STATE" != x"inserted" ]; then
  echo "Невозможно определить состояние модуля в $SLOTNAME разъеме. \
Проверьте, подключен ли он."
  exit 2
fi

PRODUCTID=`grep -A 2 -e "Port=0$SLOT" /proc/bus/usb/devices | grep -e '^P: *Vendor=[10]3eb'|sed 's/ /\n/g'|grep ProdID| awk -F= '{print $2}'`

#try to detect card type if not specified 
if [ -z $CARDTYPE ]; then
  get_card_type ${SLOT}
fi

if [ -z $2 ]; then
  if [ -z $CARDTYPE ]; then
    echo "Неизвестный тип измерительного модуля. Невозможно обновить!"
    exit 3
  fi
else
    CARDTYPE=$2
fi

get_mcu_fw_file
if [ -z $MCU ]; then
  echo "Нет подходящего ПО MCU."
  exit 4
fi

get_fpga_fw_file
if [ -z $FPGA ]; then
  echo "Нет подходящего ПО FPGA."
  exit 5
fi

get_mcu_fw_version

get_fpga_fw_version

set -e

cat << EOF
Начат процесс обновления ПО измерительного модуля "$CARDTYPE" 
в $SLOTNAME разъёме до версий: 
        FPGA : $FPGA_VER 
        MCU  : $MCU_VER

ВНИМАНИЕ! Если в процессе обновления ПО измерительного модуля
произойдёт отключение питания прибора или извлечение модуля 
из разъёма, существующее ПО будет ПОВРЕЖДЕНО! 


Пожалуйста, дождитесь появления кнопки "Готово"


EOF

sleep 2

/usr/bin/flash_card $SLOT $MCU $FPGA

exit 0
