#!/bin/sh

. /usr/local/libexec/platform_lib.sh

PMMCUPATH="/sys/devices/platform/pmmcu.0/fan"
I2CSET="i2cset"
BUSNO="0"
CHIPADDR="0x2e"

adt7463_set()
{
  local reg=$1
  local val=$2

  /usr/bin/yes | $I2CSET $BUSNO $CHIPADDR $reg $val > /dev/null 2>&1
}

adt7463_init()
{
  adt7463_set 0x40 0x01
# TCH1 TCH3 as AIN
  adt7463_set 0x73 0x05
# 4 pulses per revolution for both fans
  adt7463_set 0x7b 0x77
# 80mV treshold
  adt7463_set 0x7d 0x08
# some magick with nTHERM
  adt7463_set 0x78 0x02
# set PWM1min to 25%
  adt7463_set 0x64 0x40
# set PWM3min to 25%
  adt7463_set 0x66 0x40
# set Tmin to 35C
  adt7463_set 0x68 0x23
# set Trange to 20C
  adt7463_set 0x60 0xa4
}


rev2_set_fan_mode()
{
  local mode=$2
  local slot=$1

  if [ x$mode = xauto ]; then
    local value="0x22"
  else
    local value="0x62"
  fi

  if [ $slot -eq 0 ]; then
    local reg="0x5c"
  else 
    local reg="0x5e"
  fi 
 
   adt7463_set $reg $value 
}

rev1_set_fan_mode()
{
  local mode=$1
  
  if [ x$mode == xauto ]; then
    echo 0 > $PMMCUPATH
  else
    echo 255 > $PMMCUPATH
  fi
}


#mode can be <auto> or <maximum>;
set_fan_mode()
{
  local mode=$1

  get_board_rev

  if [ $BOARD_REV -eq 1 ]; then
    rev1_set_fan_mode $mode
  else
    rev2_set_fan_mode 0 $mode
    rev2_set_fan_mode 1 $mode
  fi
}


