CMDLINE="/proc/cmdline"
BOARD_REV=""

CARD0_STATUS_GPIO="42"
CARD1_STATUS_GPIO="58"

CARD0_PGM_GPIO="75"
CARD1_PGM_GPIO="55"

CARD0_VCC_nEN="31"
CARD1_VCC_nEN="102"

nVCC_USB_FAULT1="100"
nVCC_PWR_FAULT1="97"

nVCC_USB_FAULT2="76"
nVCC_PWR_FAULT2="79"

get_gpio_value()
{
  local gpio_num=$1

  local val=`cat /sys/class/gpio/gpio$gpio_num/value`
  return $val
}

set_gpio_value()
{
  local gpio_num=${1}
  local val=${2}

  echo ${val} > /sys/class/gpio/gpio${gpio_num}/value
}

get_board_rev()
{
  local board=`revision`
  
  # It is why bash is more convenient than sh, but we prefer to overcome
  # difficulties
  # BOARD_REV=${board%\.*}

  if [ x$board == x1.0 ]; then
    BOARD_REV=1
    return 0
  fi

  if [ x$board == x2.0 ]; then
    BOARD_REV=2
    return 0
  fi

  if [ x$board == x3.0 ] || [ x$board == x3.1 ]; then
    BOARD_REV=3
    return 0
  fi

  if [ x$board == x4.0 ]; then
    BOARD_REV=4
    return 0
  fi

  # If script reaches this it means an error, but it sets hwrev to 2 because 
  # it is compatible with old behaviour
  BOARD_REV=2
  return 0
}



